import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSError } from "../Foundation/NSError.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { FSContainerState } from "./FSContainerState.js";
export declare class _FSContainerStatus extends _NSObject {
    static alloc(): _FSContainerStatus;
    static new(): _FSContainerStatus;
    init(): _FSContainerStatus;
    /**
     * Returns a active container status instance with the provided error status. - Parameter errorStatus: The error status, if any, for the new instance.
     */
    static activeWithStatus$(errorStatus: _NSError): _FSContainerStatus;
    /**
     * Returns a blocked container status instance with the provided error status. - Parameter errorStatus: The error status, if any, for the new instance.
     */
    static blockedWithStatus$(errorStatus: _NSError): _FSContainerStatus;
    /**
     * Returns a not-ready container status instance with the provided error status. - Parameter errorStatus: The error status, if any, for the new instance.
     */
    static notReadyWithStatus$(errorStatus: _NSError): _FSContainerStatus;
    /**
     * Returns a ready container status instance with the provided error status. - Parameter errorStatus: The error status, if any, for the new instance.
     */
    static readyWithStatus$(errorStatus: _NSError): _FSContainerStatus;
    /** Container is active, status is nil */
    static active(): _FSContainerStatus;
    /** Container is ready, status is nil */
    static ready(): _FSContainerStatus;
    /** A value that represents the container state, such as ready, active, or blocked. */
    state(): FSContainerState;
    /** An optional error that provides further information about the state. */
    status(): _NSError | null;
}
export interface _FSContainerStatus extends _NSCopying {
}
